Bug 663695 - Review Request: mingw32-sigar - MinGW Windows sigar library
Summary: Review Request: mingw32-sigar - MinGW Windows sigar library
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-16 16:23 UTC by Andrew Beekhof
Modified: 2011-01-31 16:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-31 16:41:09 UTC
Type: ---
jreznik: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Andrew Beekhof 2010-12-16 16:23:07 UTC
Description:

The Sigar API provides a portable interface for gathering system
information such as:
- System memory, swap, CPU, load average, uptime, logins
- Per-process memory, CPU, credential info, state, arguments,
  environment, open files
- File system detection and metrics
- Network interface detection, configuration info and metrics
- Network route and connection tables

This information is available in most operating systems, but each OS
has their own way(s) providing it. SIGAR provides developers with one
API to access this information regardless of the underlying platform.


The mingw version will be used for the windows version matahari.


SPEC: http://www.clusterlabs.org/~beekhof/mingw32-sigar.spec
SRPM:
http://www.clusterlabs.org/~beekhof/matahari/fedora-14/SRPMS/mingw32-sigar-1.6.5-0.1.git833ca18.fc14.src.rpm

Comment 1 Jaroslav Reznik 2010-12-21 11:37:10 UTC
Sigar review: https://bugzilla.redhat.com/show_bug.cgi?id=659679

Mingw32 specific review:
Stripping: ok
Name: ok (mingw32- prefix)
BuildRequires: ok, mingw32-filesystem >= minimum-version found
BuildArch: noarch, ok
Libraries: ok
DLL listed explicitly: ok

Builds: scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=2680781 ok

Missing dependencies generator code (http://fedoraproject.org/wiki/Packaging/MinGW#Dependencies)

%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}

Comment 3 Jaroslav Reznik 2010-12-21 12:33:50 UTC
Thanks Andrew!

APPROVED

PS: just a minor, review non-blocking rpmlint issue: mingw32-sigar.src:36: W: mixed-use-of-spaces-and-tabs (spaces: line 36, tab: line 9), please, fix later in commit

Comment 4 Andrew Beekhof 2010-12-21 12:39:27 UTC
New Package SCM Request
=======================
Package Name: mingw32-sigar
Short Description: MinGW Windows sigar library
Owners: beekhof
Branches: f14 devel
InitialCC:

Comment 5 Jason Tibbitts 2010-12-21 16:03:12 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.